CVE-2017-8871

The cr_parser_parse_selector_core function in cr-parser.c in libcroco 0.6.12 allows remote attackers to cause a denial of service (infinite loop and CPU consumption) via a crafted CSS file.
References
Link Resource
http://lists.opensuse.org/opensuse-security-announce/2019-06/msg00043.html Mailing List Third Party Advisory
http://www.openwall.com/lists/oss-security/2020/08/13/3 Exploit Mailing List Third Party Advisory
https://bugzilla.gnome.org/show_bug.cgi?id=782649 Issue Tracking Third Party Advisory
https://www.exploit-db.com/exploits/42147/ Exploit Third Party Advisory VDB Entry
Configurations

Configuration 1 (hide)

cpe:2.3:a:gnome:libcroco:0.6.12:*:*:*:*:*:*:*

Configuration 2 (hide)

cpe:2.3:o:opensuse:leap:42.3:*:*:*:*:*:*:*

Information

Published : 2017-06-12 06:29

Updated : 2020-08-19 19:12


NVD link : CVE-2017-8871

Mitre link : CVE-2017-8871


JSON object : View

Products Affected

gnome

  • libcroco

opensuse

  • leap
CWE
CWE-835

Loop with Unreachable Exit Condition ('Infinite Loop')